package com.buy507.mall.dto;

import java.math.BigDecimal;
import java.util.Date;

import com.buy507.mall.model.MemberLevel;
import com.buy507.mall.model.StoreStatus;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("会员返回实体")
public class MemberResult {
	
	private Long id;
	
	@ApiModelProperty(value = "分销会员等级（0->普通会员；1->消费商；2->经销商；3->合作商；4->初级合作商；5->中级合作商；6->高级合作商；7->特级合作商）")
	private MemberLevel memberLevel;
	
	@ApiModelProperty(value = "用户名")
    private String username;
	
	@ApiModelProperty(value = "昵称")
    private String nickname;
	
	@ApiModelProperty(value = "手机号码")
    private String phone;
	
	@ApiModelProperty(value = "性别：0->未知；1->男；2->女")
    private Integer gender;
	
	@ApiModelProperty(value = "分销实体店状态（0->未开店；1->已开店）")
    private StoreStatus storeStatus;
    
	@ApiModelProperty(value = "余额")
    private BigDecimal balance;
    
	@ApiModelProperty(value = "冻结余额")
    private BigDecimal freeze;
    
	@ApiModelProperty(value = "总收入")
    private BigDecimal totalIncome;
	
	@ApiModelProperty(value = "总支出")
    private BigDecimal totalExpenditure;

	@ApiModelProperty(value = "邀请人")
    private String inviter;
	
	@ApiModelProperty(value = "注册时间")
    private Date createTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public MemberLevel getMemberLevel() {
		return memberLevel;
	}

	public void setMemberLevel(MemberLevel memberLevel) {
		this.memberLevel = memberLevel;
	}

	public String getNickname() {
		return nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Integer getGender() {
		return gender;
	}

	public void setGender(Integer gender) {
		this.gender = gender;
	}

	public StoreStatus getStoreStatus() {
		return storeStatus;
	}

	public void setStoreStatus(StoreStatus storeStatus) {
		this.storeStatus = storeStatus;
	}

	public BigDecimal getBalance() {
		return balance;
	}

	public void setBalance(BigDecimal balance) {
		this.balance = balance;
	}

	public BigDecimal getFreeze() {
		return freeze;
	}

	public void setFreeze(BigDecimal freeze) {
		this.freeze = freeze;
	}

	public BigDecimal getTotalIncome() {
		return totalIncome;
	}

	public void setTotalIncome(BigDecimal totalIncome) {
		this.totalIncome = totalIncome;
	}

	public BigDecimal getTotalExpenditure() {
		return totalExpenditure;
	}

	public void setTotalExpenditure(BigDecimal totalExpenditure) {
		this.totalExpenditure = totalExpenditure;
	}

	public String getInviter() {
		return inviter;
	}

	public void setInviter(String inviter) {
		this.inviter = inviter;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	
}
